package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOrderFinanceBillQueryRequest struct {
	/*
	   入参     */
	BillQueryRequest *domain.AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillQueryRequest `json:"bill_query_request,omitempty" required:"false" `
}

func (s *AlibabaWdkOrderFinanceBillQueryRequest) SetBillQueryRequest(v domain.AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillQueryRequest) *AlibabaWdkOrderFinanceBillQueryRequest {
	s.BillQueryRequest = &v
	return s
}

func (req *AlibabaWdkOrderFinanceBillQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.BillQueryRequest != nil {
		paramMap["bill_query_request"] = util.ConvertStruct(*req.BillQueryRequest)
	}
	return paramMap
}

func (req *AlibabaWdkOrderFinanceBillQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
